<template>
    <div>
        <h2>{{ count }}</h2>
        <button @click="countUp">Count Up</button> |
        <button @click="countDown">Count Down</button> |
        <button @click="reset">Reset</button>
    </div>
</template>

<script>
    // import { ref } from 'vue';
    // export default{
    //     setup(){
    //         const count = ref(0)
    //         function countUp(){
    //             count.value++
    //         }
    //         return {countUp}
    //     }
    // }
    /////////////////////////////////
    // export default {
    //     name : "CounterOption",
    //     data(){
    //         return{
    //             count : 0
    //         }
    //     },
    //     methods:{
    //         countUp(){
    //             this.count++
    //         },
    //         countDown(){
    //             this.count--
    //         },
    //         reset(){
    //             this.count = 0
    //         }
    //     }
    // }
</script>